Bug 55446 - postinstall error from textutils-2.0.16-1
postinstall error from textutils-2.0.16-1
Product: Red Hat Raw Hide
Classification: Retired
Component: textutils (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-10-31 08:20 EST by Jonathan Kamens
Modified: 2007-04-18 12:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-25 11:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2001-10-31 08:20:31 EST
install-info: menu item `yes' already exists, for file `sh-utils'
error: execution of %post scriptlet from textutils-2.0.16-1 failed, exit
status 1
Comment 1 Bill Crawford 2001-11-17 16:51:04 EST
Due to replacement of several info files (textutils, sh-utils, etc) by a single
"coreutils" info file which is part of the fileutils package.

Fix is probably to make sure updated packages have a pre- or post-
script/trigger to remove the info dir entries for the info files which are being

Manual fix is to delete bad entries from the info dir, then do a force upgrade
of the package to rerun the post script.
Comment 2 Tim Waugh 2002-10-23 06:15:01 EDT
I think this is already fixed in the current release, isn't it?
Comment 3 Jonathan Kamens 2002-10-23 09:57:49 EDT
No, this was never fixed.  There are still no scripts in textutils, sh-utils,
etc. to remove obsolete info dir entries when those packages are uninstalled.

It's only "fixed" in the sense that it's not an issue for new installations. 
It's still a problem for people upgrading from older releases in which
textutils, sh-utils, etc. had info dir entries which are now in the coreutils file.
Comment 4 Tim Waugh 2002-12-12 09:01:32 EST
The current coreutils package has:

preuninstall scriptlet (through /bin/sh):
if [ $1 = 0 ]; then
    [ -f /usr/share/info/coreutils.info.gz ] && \
      /sbin/install-info --delete /usr/share/info/coreutils.info.gz \
        /usr/share/info/dir || :

Note You need to log in before you can comment on or make changes to this bug.